--------------------------------------------------------------------------------
-- Title   : Or between inputs pulses
-- Project : TimEX3
--------------------------------------------------------------------------------
-- Description : And between inputs pulses
--------------------------------------------------------------------------------
-- File     : linacMP_orpulses.vhd
-- Revision : x.x.x
-- Created  : March 14, 2013
-- Updated  : July 08, 2013
--------------------------------------------------------------------------------
-- Author       : Jean-Paul Ricaud
-- Organization : Synchrotron Soleil
-- Web          : http://www.synchrotron-soleil.fr
-- Email        : jean-paul.ricaud@synchrotron-soleil.fr
--------------------------------------------------------------------------------
-- Copyright (C) 2012 - 2013 Synchrotron Soleil
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Lesser General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Lesser General Public License for more details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>
--------------------------------------------------------------------------------
--
--------------------------------------------------------------------------------
-- Modifications :
--
--------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

--------------------------------------------------------------------------------
--------------------------------- ENTITY ---------------------------------------
--------------------------------------------------------------------------------
entity linacMP_orPulses is
  port (
    p_inTTL  : in  std_logic_vector (3 downto 0); -- TTL inputs
    p_outTTL : out std_logic                      -- TTL output
  );
end linacMP_orPulses;

--------------------------------------------------------------------------------
------------------------------- ARCHITECTURE -----------------------------------
-- TTL duplication
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
architecture rtl_linacMP_orPulses of linacMP_orPulses is
  -- constant

  -- signal

  ------------------------------------------------------------------------------
  --------------------------------- Main ---------------------------------------
  ------------------------------------------------------------------------------
  begin

  p_outTTL <= p_inTTL(3) or p_inTTL(2) or p_inTTL(1) or p_inTTL(0);

end rtl_linacMP_orPulses;
