--------------------------------------------------------------------------------
-- Title   : type library
-- Project : TimEX3
--------------------------------------------------------------------------------
-- Description : type declaration lib
--------------------------------------------------------------------------------
-- File     : type_lib.vhdl
-- Revision : x.x.x
-- Created  : Decemeber 04, 2013
-- Updated  : April 29, 2015
--------------------------------------------------------------------------------
-- Author       : Jean-Paul Ricaud
-- Organization : Synchrotron Soleil
-- Web          : http://www.synchrotron-soleil.fr
-- Email        : jean-paul.ricaud@synchrotron-soleil.fr
--------------------------------------------------------------------------------
-- Copyright (C) 2012 - 2014 Synchrotron Soleil
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Lesser General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Lesser General Public License for more details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>
--------------------------------------------------------------------------------
--
--------------------------------------------------------------------------------
-- Modifications :
--
--------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
package type_lib is

  type register_array is array (0 to 18) of std_logic_vector (31 downto 0);
  type cpci_register_array is array (0 to 13) of std_logic_vector (31 downto 0);
  type add_cpci_register_array is array (0 to 13) of std_logic_vector (9 downto 2);

end package type_lib;

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
package body type_lib is

end package body type_lib;

